Symbol Details
Scrip Master Groups
This service can be used to fetch the Scrip Groups. It requires a version number as input.
Version management: Version number is maintained to avoid fetching Scrip Master data multiple times a day, as the Scrip Master data gets updated only once a day during the Beginning of Day (BOD) process.
Usage:
- For the initial or first API call, the version can be passed as
0. - If the version number passed in the query parameter does not match the server data version, the
isUpdatedflag will betrueand the Scrip Groups data will be returned in the response. - If the version matches the server data version, the
isUpdatedflag will befalseand the Scrip Groups data array will be empty. - By using the names returned in the Scrip Groups response, users can call the Scrip Master Data API to retrieve the corresponding list of scrips.
- For effective usage of Scrip Master, users can persist the version number, Scrip Groups, and Scrip Master data locally.
idFormat usage:
- Each Scrip Group has a different symbol ID format. This format is available in the
idFormatfield.- Example: For Equity, the ID format is
instrument_symbol_series_exchange.
- Example: For Equity, the ID format is
- Users can decompose the symbol ID format by splitting it using the
_(underscore) delimiter to identify individual attributes of a symbol.- Example: If a user wants to know the instrument and exchange of a symbol from the Securities group, the 1st and 4th components can be extracted from the symbol ID.
Note: During the Beginning of Day (BOD) process, the symbol store is updated and the version is incremented in the API server.
Query Parameters
version*integer
Enter the version
Response Body
application/json
curl -X GET "https://example.com/api/mkt-data/scrips/symbol-store?version=0"{
"s": "ok",
"d": {
"version": "20240115",
"updated": "2024-01-15T04:00:00Z"
}
}